YouTube: Transcript
Transcript from YouTube as JSON. 1 credit per successful call.
GET /v1/youtube/transcriptNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
video_id | string | Optional | Up to 11 characters |
videoId | string | Optional | Up to 11 characters |
id | string | Optional | Up to 11 characters |
language | string | Optional | Any |
lang | string | Optional | Any |
hl | string | Optional | Up to 2 characters |
gl | string | Optional | Up to 2 characters |
Example request
curl "https://api.perceptlayer.com/v1/youtube/transcript?video_id=dQw4w9WgXcQ&language=es" \
-H "X-API-Key: $API_KEY"